package com.bocloud.nms.model.campus;

import java.util.List;

public class DeviceVlanModel {

    private Long deviceId;

    private Integer vlanUuid; // VLAN ID，唯一性标识一个VLAN。
    private String vlanName; // VLAN名称。
    private Integer vlanStatus; // VLAN状态，1：静态VLAN，2：动态VLAN。

    private List<Integer> interfaceIds; // vlan的接口ids

    public Integer getVlanUuid() {
        return vlanUuid;
    }

    public void setVlanUuid(Integer vlanUuid) {
        this.vlanUuid = vlanUuid;
    }

    public String getVlanName() {
        return vlanName;
    }

    public void setVlanName(String vlanName) {
        this.vlanName = vlanName;
    }

    public Integer getVlanStatus() {
        return vlanStatus;
    }

    public void setVlanStatus(Integer vlanStatus) {
        this.vlanStatus = vlanStatus;
    }

    public List<Integer> getInterfaceIds() {
        return interfaceIds;
    }

    public void setInterfaceIds(List<Integer> interfaceIds) {
        this.interfaceIds = interfaceIds;
    }

    public Long getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }
}
